org.apache.ignite.internal.visor.consistency

## Class VisorConsistencyTaskResult

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.consistency.VisorConsistencyTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorConsistencyTaskResult
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorConsistencyTaskResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancelled()`
`void` `cancelled(boolean cancelled)`
`boolean` `failed()`
`void` `failed(boolean failed)`
`String` `message()`
`void` `message(String res)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorConsistencyTaskResult

    public VisorConsistencyTaskResult()

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### message

    public String message()

Returns:
  Result.

#### message

    public void message(String res)

Parameters:
  `res` - New result.

#### failed

    public boolean failed()

Returns:
  Failed.

#### failed

    public void failed(boolean failed)

Parameters:
  `failed` - Failed.

#### cancelled

    public boolean cancelled()

Returns:
  Cancelled.

#### cancelled

    public void cancelled(boolean cancelled)

Parameters:
  `cancelled` - New cancelled.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022